## Index

### Classes

- ThemeColorScheme

### Interfaces

- Coordinates
- SunCalc

### Type aliases

- ChooserItemTypes
- IgnoreJSSNested
- ThemeTypes

### Functions

- createStyles

## Type aliases

### ChooserItemTypes

ChooserItemTypes: object

- Defined in types.ts:38

#### Type declaration

- ##### description: string

- ##### title: string

- ##### value: any

### IgnoreJSSNested

IgnoreJSSNested: Styles<Extract<keyof C, string>>

- Defined in types.ts:44

### ThemeTypes

ThemeTypes: object

- Defined in types.ts:46

#### Type declaration

- ##### $appSize: string

- ##### $bodyBkg: string

- ##### $borderRadius: string

- ##### $gutter: string

- ##### $imPath: string

- ##### $osbarHeight: string

- ##### $red: string

- ##### $zIndexHuge: number

- ##### $zIndexLarge: number

- ##### $zIndexMedium: number

- ##### $zIndexMega: number

- ##### $zIndexNull: number

- ##### $zIndexSmall: number

- ##### $zIndexSupra: number

- ##### $zIndexUltra: number

- ##### $zindexUltime: number

- ##### fontMixin: fontMixin

- ##### avatarMixin: function

  - avatarMixin(value: string, radius?: string): object
  - - Defined in jss/index.ts:171

    avatarMixin

    #### Parameters

    - ##### value: string

      the width and height value

    - ##### Default value radius: string = value

      the border radius value

    #### Returns object

    the corresponding CSS properties

    - ##### backgroundClip: string

    - ##### borderRadius: string

    - ##### height: string

    - ##### width: string

- ##### covererMixin: function

  - covererMixin(bottom?: number, left?: number, right?: number, top?: number): object
  - - Defined in jss/index.ts:187

    covererMixin

    #### Parameters

    - ##### Default value bottom: number = 0

      value of the bottom property

    - ##### Default value left: number = 0

      value of the left property

    - ##### Default value right: number = 0

      value of the right property

    - ##### Default value top: number = 0

      value of the top property

    #### Returns object

    the corresponding CSS properties

    - ##### bottom: number

    - ##### left: number

    - ##### position: string

    - ##### right: number

    - ##### top: number

- ##### elipsisMixin: function

  - elipsisMixin(lineClamp?: number): object
  - - Defined in jss/index.ts:204

    elipsisMixin

    #### Parameters

    - ##### Default value lineClamp: number = 2

      value of the line-clamp property

    #### Returns object

    the corresponding CSS properties

    - ##### -webkit-box-orient: string

    - ##### -webkit-line-clamp: number

    - ##### display: string

    - ##### overflow: string

    - ##### textOverflow: string

- ##### mixinDarkenColor: function

  - mixinDarkenColor(color: string, ratio?: number): string
  - - Defined in jss/index.ts:219

    mixinDarkenColor

    #### Parameters

    - ##### color: string

      the corresponding color

    - ##### Default value ratio: number = 0.3

      the ratio to daren the color

    #### Returns string

    - the color darkened by the ratio

- ##### colors: object

  - ##### black: string

  - ##### error: string

  - ##### flatRed: object

    - ##### dark: string

    - ##### middle: string

  - ##### gray: object

    - ##### dark: string

    - ##### light: string

    - ##### middle: string

- ##### dock: object

  - ##### size: number

- ##### icons: object

  - ##### color: object

    - ##### base: string

- ##### mixins: object

  - ##### ellipsis: function

    - ellipsis(nbLines?: number): object
    - - Defined in jss/index.ts:100

      #### Parameters

      - ##### Default value nbLines: number = 2

      #### Returns object

      - ##### -webkit-box-orient: string

      - ##### -webkit-line-clamp: number

      - ##### display: string

      - ##### overflow: string

      - ##### textOverflow: string

      - ##### wordBreak: string

  - ##### position: function

    - position(position: undefined | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "-webkit-sticky" | "absolute" | "fixed" | "relative" | "static" | "sticky", top?: number | string, left?: number | string, bottom?: number | string, right?: number | string): object
    - - Defined in jss/index.ts:119

      #### Parameters

      - ##### position: undefined | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "-webkit-sticky" | "absolute" | "fixed" | "relative" | "static" | "sticky"

      - ##### Optional top: number | string

      - ##### Optional left: number | string

      - ##### Optional bottom: number | string

      - ##### Optional right: number | string

      #### Returns object

      - ##### bottom: undefined | string | number

      - ##### left: undefined | string | number

      - ##### position: undefined | "-moz-initial" | "inherit" | "initial" | "revert" | "unset" | "-webkit-sticky" | "absolute" | "fixed" | "relative" | "static" | "sticky"

      - ##### right: undefined | string | number

      - ##### top: undefined | string | number

  - ##### size: function

    - size(size: number | string): object
    - - Defined in jss/index.ts:115

      #### Parameters

      - ##### size: number | string

      #### Returns object

      - ##### height: string | number

      - ##### width: string | number

  - ##### flexbox: object

    - ##### containerCenter: object

      - ##### alignItems: string

      - ##### display: string

      - ##### justifyContent: string

- ##### rightDock: object

  - ##### size: number

- ##### titles: object

  - ##### h1: object

    - ##### lineHeight: string

    - ##### marginBottom: number

  - ##### h2: object

    - ##### lineHeight: string

  - ##### h3: object

    - ##### letterSpacing: number

    - ##### lineHeight: string

## Functions

### createStyles

- createStyles<C>(styles: Styles<C>): Styles<C>

- - Defined in types.ts:48

  #### Type parameters

  - #### C: string

  #### Parameters

  - ##### styles: Styles<C>

  #### Returns Styles<C>

Generated using TypeDoc